DCMTK - Feature #213

Buffer overflows vermeiden
2004-04-07 00:00 - Jorg Riesmeier

Status: Closed Start date:

Priority: Normal Due date:
Category: Estimated time: 0:00 hour

Target version:
Module: all Compiler:

Operating System:

Description

Z.B. snprintf() statt sprintf() verwenden, falls vorhanden. Dies sollte ab C99
der Fall sein.

Ebenso OFStandard::stricpy() und OFStandard::strlcat() statt strcpy() und
strcat(), oder noch besser OFString verwenden (siehe auch Eintrag vom
2002-04-11).

Es gibt auch einige Tools, die zur automatischen Ueberpruefung des Quelltextes
eingesetzt werden koennen, z.B. http://www.dwheeler.com/flawfinder/.

History

#1 - 2018-06-29 15:29 - Marco Eichelberg
- Description updated

- % Done changed from 0 to 50

strcpy() and strcat() have been replaced by OFStandard::stricpy() and OFStandard::strlcat() wherever possible in the public and private modules.

#2 - 2025-08-21 11:21 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Marco Eichelberg

- % Done changed from 50 to 100

sprintf() has meanwhile been replaced by OFStandard::snprintf() wherever possible in the public and private modules.
